<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: WIB_FEMB_COMM_TOP Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">WIB_FEMB_COMM_TOP Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for WIB_FEMB_COMM_TOP:</div>
<div class="dyncontent">
<div class="center"><img src="classWIB__FEMB__COMM__TOP__inherit__graph.png" border="0" usemap="#WIB__FEMB__COMM__TOP_inherit__map" alt="Inheritance graph"/></div>
<map name="WIB__FEMB__COMM__TOP_inherit__map" id="WIB__FEMB__COMM__TOP_inherit__map">
<area shape="rect" id="node5" href="classWIB.html" title="WIB" alt="" coords="87,304,135,331"/><area shape="rect" id="node2" href="classWIB__FEMB__COMM.html" title="WORK.WIB_FEMB_COMM(4)" alt="" coords="5,155,216,181"/><area shape="rect" id="node3" href="classI2c__master__addr16.html" title="work.I2c_master_addr16" alt="" coords="21,80,200,107"/><area shape="rect" id="node4" href="classDIF__IO__BIR.html" title="DIF_IO_BIR" alt="" coords="61,5,160,32"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classWIB__FEMB__COMM__TOP-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classWIB__FEMB__COMM__TOP_1_1behavior.html">behavior</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:afe916758bf02dd084ead90fe4326d9cd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe916758bf02dd084ead90fe4326d9cd"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#afe916758bf02dd084ead90fe4326d9cd">RESET</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad7d163a7352f31c2d018a2930cadbb77"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad7d163a7352f31c2d018a2930cadbb77"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#ad7d163a7352f31c2d018a2930cadbb77">SYS_CLK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad18cb1d95d4aa86bccdf6c74fc5c3495"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad18cb1d95d4aa86bccdf6c74fc5c3495"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#ad18cb1d95d4aa86bccdf6c74fc5c3495">FEMB_wr_strb</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a14cd9ed1f75560d749e2ee0dea39acce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a14cd9ed1f75560d749e2ee0dea39acce"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#a14cd9ed1f75560d749e2ee0dea39acce">FEMB_rd_strb</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2a1f02ab12d7e108024a5dbe11d6c1a5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2a1f02ab12d7e108024a5dbe11d6c1a5"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#a2a1f02ab12d7e108024a5dbe11d6c1a5">FEMB_address</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac4416af72e6f6fac38892c20bdb8aaf4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac4416af72e6f6fac38892c20bdb8aaf4"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#ac4416af72e6f6fac38892c20bdb8aaf4">FEMB_BRD</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a590bf02c7cbca40a00c54a4030dde90b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a590bf02c7cbca40a00c54a4030dde90b"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#a590bf02c7cbca40a00c54a4030dde90b">FEMB_DATA_TO_FEMB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a50d39df221de5f607857c88d0e8c2e26"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50d39df221de5f607857c88d0e8c2e26"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#a50d39df221de5f607857c88d0e8c2e26">FEMB_DATA_RDY</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4054408fd706b55cacbdba81c0996343"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4054408fd706b55cacbdba81c0996343"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#a4054408fd706b55cacbdba81c0996343">FEMB_DATA_FRM_FEMB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5351faf699a2deb17fce8186229d4372"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5351faf699a2deb17fce8186229d4372"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#a5351faf699a2deb17fce8186229d4372">FEMB_SCL_BRDO</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4566424f8a76bd130cdb80507e6bd489"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4566424f8a76bd130cdb80507e6bd489"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#a4566424f8a76bd130cdb80507e6bd489">FEMB_SDA_BRD0_P</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aed590b2bf45ab8830d878e26e0ffbe4a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed590b2bf45ab8830d878e26e0ffbe4a"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#aed590b2bf45ab8830d878e26e0ffbe4a">FEMB_SDA_BRD0_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aab6807317218e22122c15023035746cb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab6807317218e22122c15023035746cb"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#aab6807317218e22122c15023035746cb">FEMB_SCL_BRD1</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a989ca7e5fc8a657dce617248696324aa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a989ca7e5fc8a657dce617248696324aa"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#a989ca7e5fc8a657dce617248696324aa">FEMB_SDA_BRD1_P</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af435f7bf68057fc8300a2069ebafd916"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af435f7bf68057fc8300a2069ebafd916"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#af435f7bf68057fc8300a2069ebafd916">FEMB_SDA_BRD1_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a972d0ebba38d83d3f3536db0a2c61854"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a972d0ebba38d83d3f3536db0a2c61854"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#a972d0ebba38d83d3f3536db0a2c61854">FEMB_SCL_BRD2</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a63ed38b71fdb46b1207768f5a25b268d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a63ed38b71fdb46b1207768f5a25b268d"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#a63ed38b71fdb46b1207768f5a25b268d">FEMB_SDA_BRD2_P</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae3397e9c668bd010ec90e1ce87c6e31a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae3397e9c668bd010ec90e1ce87c6e31a"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#ae3397e9c668bd010ec90e1ce87c6e31a">FEMB_SDA_BRD2_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8e9df613ccc690c74f9acc616ee11521"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e9df613ccc690c74f9acc616ee11521"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#a8e9df613ccc690c74f9acc616ee11521">FEMB_SCL_BRD3</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a25eef7f83baf5b65cbc82f91f9367244"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a25eef7f83baf5b65cbc82f91f9367244"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#a25eef7f83baf5b65cbc82f91f9367244">FEMB_SDA_BRD3_P</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3b462ab1b09f52ae7405a8f3de2968f3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3b462ab1b09f52ae7405a8f3de2968f3"></a>
<a class="el" href="classWIB__FEMB__COMM__TOP.html#a3b462ab1b09f52ae7405a8f3de2968f3">FEMB_SDA_BRD3_N</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">inout</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="WIB__FEMB__COMM__TOP_8vhd_source.html#l00027">27</a> of file <a class="el" href="WIB__FEMB__COMM__TOP_8vhd_source.html">WIB_FEMB_COMM_TOP.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/FEMB_SC/<a class="el" href="WIB__FEMB__COMM__TOP_8vhd_source.html">WIB_FEMB_COMM_TOP.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:37 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
